// Funzione per aggiungere un elemento in coda
void aggiungiInCoda(int arr[], int *n, int valore) {
    arr[*n] = valore;
    (*n)++;
}

// Funzione per aggiungere un elemento in testa
void aggiungiInTesta(int arr[], int *n, int valore) {
    for (int i = *n; i > 0; i--) {
        arr[i] = arr[i - 1];
    }
    arr[0] = valore;
    (*n)++;
}

// Funzione per cancellare un elemento dalla coda
void cancellaDallaCoda(int arr[], int *n) {
    if (*n > 0) {
        (*n)--;
    }
}

// Funzione per cancellare un elemento dalla testa
void cancellaDallaTesta(int arr[], int *n) {
    for (int i = 0; i < *n - 1; i++) {
        arr[i] = arr[i + 1];
    }
    (*n)--;
}

// Funzione per fare shifting a destra
void shiftDx(int arr[], int *n) {
    for (int i = *n; i > 0; i--) {
        arr[i] = arr[i - 1];
    }
    (*n)++;
}

// Funzione per fare shifting a sinistra
void shiftSx(int arr[], int *n) {
    for (int i = 0; i < *n - 1; i++) {
        arr[i] = arr[i + 1];
    }
    (*n)--;
}
